Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

Container Essentials: Node Agent is in CrashLoopBackOff After Upgrading Version

Container Essentials: Node Agent is in CrashLoopBackOff After Upgrading Version

Environment

  • Container Essentials: 2.4.x and Higher
  • vCenter Server: 7.0.x

Symptoms

  • After upgrading the containers sensor version the cbcontainers-node-agent is crashing
  • kubectl logs command contains the message "error loading BPF program: invalid argument"

Cause

This can happen if the container is using an older version of the Photon OS which doesn't support BPF

Resolution

Upgrade the Photon kernel to 4.19.214 and higher or continue using the 2.3.1 or older containers sensor

Related Content


Labels (2)
Was this article helpful? Yes No
No ratings
Article Information
Author:
Creation Date:
‎11-16-2022
Views:
156
Contributors